'''
Just a test function to create, and manipulate the test tag value
'''
def logTest(x, y):
	lgr = system.util.getLogger('LogTest')
	lgr.info("Received x : {} , y : {} to operate on".format(x, y))
	
	#set a tagpath to create a test tag in which the value will be inverted for testing
	testTagPath = '[default]testTag'
	
	if system.tag.exists(testTagPath):
		val = system.tag.readBlocking(testTagPath)[0].value
		newVal = not val
		system.tag.writeBlocking([testTagPath], [newVal])
		lgr.info("Successfully Inverted the value at tagpath : {}".format(testTagPath))
	else:
		config = [{	'dataType': "Boolean", 
					'tagType': "AtomicTag",
					'name': 'testTag', 
					'valueSource': 'memory',
					'value': False
					}]
		system.tag.configure('[default]', config)
		lgr.info("Successfully created a tag at path : {} with value : {} ".format(testTagPath, False))